IP_DROP_SOURCE_MEMBERSHIP(2const)

NAME
IP_DROP_SOURCE_MEMBERSHIP - leave a source-specific multicast group

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_DROP_SOURCE_MEMBERSHIP,
               const struct ip_mreq_source *val,
               sizeof(struct ip_mreq_source));

DESCRIPTION
Leave a source-specific group; that is, stop receiving data from a given multicast group that comes from a given source.

If the application has subscribed to multiple sources within the same group, data from the remaining sources will still be delivered. To stop receiving data from all sources at once, use IP_DROP_MEMBERSHIP(2const).

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.4.22, Linux 2.5.68.

SEE ALSO
IPPROTO_IP(2const), ip_mreq_source(2type), setsockopt(2), ip(7)